Package org.apache.commons.jexl3

# Class JxltEngine.Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JxltEngine.Exception

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JxltEngine`

public static class JxltEngine.Exception extends JexlException
The sole type of (runtime) exception the JxltEngine can throw.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Exception(JexlInfo info, String msg, Throwable cause)`
  Creates an Exception.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, detailedMessage, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Exception

    public Exception(JexlInfo info, String msg, Throwable cause)
    Creates an Exception.
    Parameters:
      `info` - the contextual information
      `msg` - the exception message
      `cause` - the exception cause